Last Comment Bug 726112 - Allow entering a message for recent contributors, even if you approve your own revision.
: Allow entering a message for recent contributors, even if you approve your ow...
Status: VERIFIED FIXED
u=contributor c=wiki s=2012.4 p=1
:
Product: support.mozilla.org
Classification: Other
Component: Knowledge Base Software (show other bugs)
: unspecified
: All All
: P2 normal (vote)
: 2012-03-06
Assigned To: Ricky Rosario [:rrosario, :r1cky]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-10 11:48 PST by Kadir Topal [:atopal]
Modified: 2012-03-01 12:52 PST (History)
5 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Kadir Topal [:atopal] 2012-02-10 11:48:02 PST
When you create a revision based on another revision and approve it, everyone before that in the history list should get a message. Currently it looks like, if you approve your own revision no one gets a message, even though it might have been based on another revision.
Comment 1 Ricky Rosario [:rrosario, :r1cky] 2012-02-14 07:35:08 PST
Should we still send to the approver approving his own?
Comment 2 Will Kahn-Greene [:willkg] 2012-02-17 14:54:40 PST
Grabbing this to work on Monday or Tuesday.
Comment 3 Kadir Topal [:atopal] 2012-02-20 06:53:40 PST
Ricky, no the approver should not get the message he just sent out.
Comment 4 Will Kahn-Greene [:willkg] 2012-02-22 15:12:15 PST
I can't reproduce this. Here are the steps I'm using:

1. log in with willkg
2. (as willkg) find an approved kb article and edit it adding another line
3. log in as verdi
4. (as verdi) edit the article based on the revision from step 2.
5. log in as scoobidiver
6. (as scoobidiver) edit the article based on the revision from step 4.
7. (as willkg) defer the revisions created in steps 2, 4, and 6.
8. (as willkg) edit the article based on the revision from step 6--this revision has all the revisions in it so far
9. approve the revision created in step 8.

According to the log, willkg approved his own revision and thus doesn't get an email. However, verdi and scoobidiver both get emails saying "A revision you contributed to has been approved".

I checked the code and it looks ok.

Do I misunderstand the problem here? Are the steps I'm using to reproduce incorrect?
Comment 5 Ricky Rosario [:rrosario, :r1cky] 2012-02-23 07:16:34 PST
(In reply to Will Kahn-Greene [:willkg] from comment #4)
> I can't reproduce this. Here are the steps I'm using:

Those steps look right to me. I tried on stage and it WFM as well.
Comment 6 Ricky Rosario [:rrosario, :r1cky] 2012-02-23 07:19:10 PST
To clarify, by "Send message" you mean email, correct? You don't mean that each contributor should be able to receive a custom message from the reviewer?
Comment 7 Verdi [:verdi] 2012-02-23 07:50:52 PST
The issue here is not about the notification, it's about the message you send to someone when you approve or defer a revision. This is feedback you send the editor(s). If you are approving or deferring your own revision you don't get this opportunity even if your revision is based on the work of others. You should be able to send them all feedback.
Comment 8 Ricky Rosario [:rrosario, :r1cky] 2012-02-23 07:54:07 PST
Oh, so it is just a UI issue? We just need to show the message textbox in all cases.
Comment 9 Verdi [:verdi] 2012-02-23 07:57:56 PST
(In reply to Ricky Rosario [:rrosario, :r1cky] from comment #8)
> Oh, so it is just a UI issue? We just need to show the message textbox in
> all cases.

Well not in the case of approving your own revision and it's the only one.
Comment 11 Rebecca Billings [:rbillings] 2012-02-29 16:34:32 PST
1) I reviewed my own revision and now get a text box- was this intended?
2) I deferred a revision that was for a change made by me, plus user1 & 2. The comment box sent a revision to user1 & 2 but not me. [as intended]
Comment 12 Ricky Rosario [:rrosario, :r1cky] 2012-03-01 07:12:51 PST
(In reply to Rebecca Billings from comment #11)
> 1) I reviewed my own revision and now get a text box- was this intended?

Only if there are other revisions between the revision you are reviewing and the last one that was approved (current). I just tried on stage to approve and defer my own revision (with no other revisions/contributors) and it doesn't show the textbox.
Comment 13 Rebecca Billings [:rbillings] 2012-03-01 12:52:49 PST
Verified that comment box displays for multiple reviewers, but not when approving/deferring your own revisions.

Note You need to log in before you can comment on or make changes to this bug.